PKIXExtendedBuilderParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce

## Class PKIXExtendedBuilderParameters

- java.lang.Object
- - org.bouncycastle.jcajce.PKIXExtendedBuilderParameters

- All Implemented Interfaces:
    java.lang.Cloneable, java.security.cert.CertPathParameters

      public class PKIXExtendedBuilderParameters
      extends java.lang.Object
      implements java.security.cert.CertPathParameters

  This class contains extended parameters for PKIX certification path builders.
  See Also:
    `PKIXBuilderParameters`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PKIXExtendedBuilderParameters.Builder`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `PKIXExtendedParameters` | `getBaseParameters()`
    `java.util.Set` | `getExcludedCerts()` Excluded certificates are not used for building a certification path.
    `int` | `getMaxPathLength()` Returns the value of the maximum number of intermediate non-self-issued certificates in the certification path.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBaseParameters

          public PKIXExtendedParameters getBaseParameters()

    - #### getExcludedCerts

          public java.util.Set getExcludedCerts()

      Excluded certificates are not used for building a certification path.

      The returned set is immutable.

      Returns:
        Returns the excluded certificates.

    - #### getMaxPathLength

          public int getMaxPathLength()

      Returns the value of the maximum number of intermediate non-self-issued certificates in the certification path.
      Returns:
        the maximum number of non-self-issued intermediate certificates in the certification path, or -1 if no limit exists.

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `java.security.cert.CertPathParameters`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        this object